org.springframework.cloud.dataflow.server.controller.assembler

## Class DefaultStreamDefinitionAssembler<R extends StreamDefinitionResource>

- java.lang.Object
- - org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<StreamDefinition,R>
  - - org.springframework.cloud.dataflow.server.controller.assembler.DefaultStreamDefinitionAssembler<R>

- All Implemented Interfaces:
    org.springframework.hateoas.server.RepresentationModelAssembler<StreamDefinition,R>

      public class DefaultStreamDefinitionAssembler<R extends StreamDefinitionResource>
      extends org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<StreamDefinition,R>

  `RepresentationModelAssembler` implementation that converts `StreamDefinition`s to `StreamDefinitionResource`s.
  Author:
    Ilayaperumal Gopinathan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StreamDefinitionService` | `streamDefinitionService`
    `protected StreamService` | `streamService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStreamDefinitionAssembler(StreamDefinitionService streamDefinitionService, StreamService streamService, List<StreamDefinition> streamDefinitions, Class<R> classType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `instantiateModel(StreamDefinition streamDefinition)`
    `R` | `toModel(StreamDefinition stream)`

    - ### Methods inherited from class org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport

      `createModelWithId, createModelWithId, getControllerClass, getResourceType, map, toCollectionModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streamDefinitionService

          protected final StreamDefinitionService streamDefinitionService

    - #### streamService

          protected final StreamService streamService

  - ### Constructor Detail

    - #### DefaultStreamDefinitionAssembler

          public DefaultStreamDefinitionAssembler(StreamDefinitionService streamDefinitionService,
                                                  StreamService streamService,
                                                  List<StreamDefinition> streamDefinitions,
                                                  Class<R> classType)

  - ### Method Detail

    - #### toModel

          public R toModel(StreamDefinition stream)

    - #### instantiateModel

          public R instantiateModel(StreamDefinition streamDefinition)

      Overrides:
        `instantiateModel` in class `org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<StreamDefinition,R extends StreamDefinitionResource>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.